#! /usr/bin/perl
#
#--------------------------------------------------------------
# This code is used for spliting predictions for each protein
# Before running this code, you need install perl
# In our experiment, perl V5.18.2 64bit is tested
#--------------------------------------------------------------
# Written by Jian Zhang (Email:jzhang6@vcu.edu)
# Please contact jzhang6@vcu.edu if you have any problems
#--------------------------------------------------------------
system "mkdir RNA_T";

$ID="XXXXXX";
open READ,"RNA_T_Predictions.txt" or die "read error!\n";
open LIST,">RNA.list";
while(defined($eachline=<READ>)){
	chomp($eachline);
	if($eachline =~ /^>/){
		my $len=length($eachline);
		$ID=substr($eachline,1,$len-2);
	
		print LIST $ID."\n";
	
		open WRITE,">RNA_T/$ID.txt";
		print WRITE $eachline."\n";
		close WRITE;
	}else{
		open WRITE,">>RNA_T/$ID.txt";
		print WRITE $eachline."\n";
		close WRITE;
	}
}
close LIST;
close READ;




