%%
% This code computes the threshold where specificity=0.95
% Before running this code, you need install Matlab
% In our experiment, Matlab R2014a 64bit is tested
%%

clear all;
clc;

data=load('PROprednonredundant.txt');
%%

Label=data(:,1);
pred=data(:,2);

maxPred=max(pred);
minPred=min(pred);

[rowPred,colPred]=size(pred);

threshold=minPred;
while(threshold < maxPred)
    threshold=threshold+0.001;
    labtmp=ones(rowPred,1);
    labtmp(pred<threshold)=0;
    spe=sum(labtmp==0 & Label==0)/sum(Label==0);
    if(spe > 0.95)
        disp(spe);
        disp(threshold);
        break;
    end    
end
